<div *ngIf="loaded" class="container">
    <mat-card *ngFor="let product of products" class="product_card">
        <mat-card-header>
          <mat-card-title>{{product.name}}</mat-card-title>
          <mat-card-subtitle>{{product.description}}</mat-card-subtitle>
        </mat-card-header>
        <img mat-card-image [src]="product.images[0]">
        <mat-card-content>
            <p *ngFor="let char of product.characteristics">
                {{char}}
            </p>
        </mat-card-content>
        <mat-card-actions>
            <button mat-button (click)="addToCart(product)">
                <mat-icon>add</mat-icon>
                Añadir al Pedido
            </button>
        </mat-card-actions>
        <mat-card-footer>
            <p>
                Precio: ${{product.price}}
            </p>
        </mat-card-footer>
    </mat-card>
</div>
<div style="text-align: center;" *ngIf="!loaded">
    Espera un momento
    <mat-spinner class="spinner"></mat-spinner>
</div>